Library Version 11.2.5.3

DB_HEAP_RID
Prev | Chapter 2. The DB Handle | Next

## DB_HEAP_RID

    #include <db.h>

    struct __db_heap_rid {
        db_pgno_t pgno;         /* Page number. */
        db_indx_t indx;         /* Index in the offset table. */
    };

Content used for the key in a Heap database record. Berkeley DB creates this structure for you when you create a record in a Heap database. You should never create this structure or modify the contents of this structure yourself; Berkeley DB must create and manage it for you.

This structure is returned in the key DBT parameter of the method that you use to add a record to the Heap database.

### Parameters

#### pgno

The database page number where the record is stored.

#### indx

Index in the offset table where the record can be found.

### See Also

Database and Related Methods,

Prev | Up | Next
DB->verify() | Home | Chapter 3. The DBcursor Handle